Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# rb_event_hook_struct Struct Reference

`#include <ruby.h>`

## Data Fields
rb_event_flag_t | flag
rb_event_hook_func_t | func
VALUE | data
struct rb_event_hook_struct * | next

## Detailed Description

Definition at line 1363 of file ruby.h.

## Field Documentation

VALUE rb_event_hook_struct::data

Definition at line 1366 of file ruby.h.

Referenced by alloc_event_hook(), exec_event_hooks(), and mark_event_hooks().

rb_event_flag_t rb_event_hook_struct::flag

Definition at line 1364 of file ruby.h.

Referenced by alloc_event_hook(), exec_event_hooks(), and thread_reset_event_flags().

rb_event_hook_func_t rb_event_hook_struct::func

Definition at line 1365 of file ruby.h.

Referenced by alloc_event_hook(), and exec_event_hooks().

struct rb_event_hook_struct* rb_event_hook_struct::next

Definition at line 1367 of file ruby.h.

Referenced by exec_event_hooks(), mark_event_hooks(), rb_add_event_hook(), rb_threadptr_add_event_hook(), remove_event_hook(), and thread_reset_event_flags().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h